Skip to content
GuidesPlaygroundDashboard

Look up elevation for multiple coordinates

ElevationBatchResult elevation().batch(ElevationBatchParamsparams, RequestOptionsrequestOptions = RequestOptions.none())
POST/api/v1/elevation/batch

Look up elevation for multiple coordinates

ParametersExpand Collapse
ElevationBatchParams params
ElevationProfileRequest elevationProfileRequest

Request body for elevation profile

ReturnsExpand Collapse
class ElevationBatchResult:

GeoJSON FeatureCollection of elevation Point Features with 3D coordinates

List<ElevationLookupResult> features

Elevation Point Features for each queried point

Coordinates coordinates

GeoJSON coordinates array (nesting depth varies by geometry type)

One of the following:
List<double>
List<List<double>>
List<List<List<double>>>
List<List<List<List<double>>>>
Type type
One of the following:
POINT("Point")
LINE_STRING("LineString")
POLYGON("Polygon")
MULTI_POINT("MultiPoint")
MULTI_LINE_STRING("MultiLineString")
MULTI_POLYGON("MultiPolygon")
Properties properties
Optional<Double> elevationM

Elevation in meters above mean sea level

Type type
Type type

Look up elevation for multiple coordinates

package com.plazafyi.example;

import com.plazafyi.client.PlazaClient;
import com.plazafyi.client.okhttp.PlazaOkHttpClient;
import com.plazafyi.models.GeoJsonGeometry;
import com.plazafyi.models.elevation.ElevationBatchParams;
import com.plazafyi.models.elevation.ElevationBatchResult;
import com.plazafyi.models.elevation.ElevationProfileRequest;
import java.util.List;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        PlazaClient client = PlazaOkHttpClient.fromEnv();

        ElevationProfileRequest params = ElevationProfileRequest.builder()
            .geometry(GeoJsonGeometry.builder()
                .coordinatesOfNumber(List.of(0.0))
                .type(GeoJsonGeometry.Type.POINT)
                .build())
            .build();
        ElevationBatchResult elevationBatchResult = client.elevation().batch(params);
    }
}
Returns Examples